package com.ruoyi.model.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.applet.pojo.dto.filterQualifiedUsersVo;
import com.ruoyi.model.domain.AppUsers;
import com.ruoyi.model.domain.AppletOrder;

/**
 * 用户Service接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface IAppUsersService extends IService<AppUsers>
{
    /**
     * 查询用户
     * 
     * @param userId 用户主键
     * @return 用户
     */
    public AppUsers selectAppUsersByUserId(Long userId);

    /**
     * 查询用户列表
     * 
     * @param appUsers 用户
     * @return 用户集合
     */
    public List<AppUsers> selectAppUsersList(AppUsers appUsers);

    /**
     * 新增用户
     * 
     * @param appUsers 用户
     * @return 结果
     */
    public int insertAppUsers(AppUsers appUsers);

    /**
     * 修改用户
     * 
     * @param appUsers 用户
     * @return 结果
     */
    public int updateAppUsers(AppUsers appUsers);

    /**
     * 批量删除用户
     * 
     * @param userIds 需要删除的用户主键集合
     * @return 结果
     */
    public int deleteAppUsersByUserIds(Long[] userIds);

    /**
     * 删除用户信息
     * 
     * @param userId 用户主键
     * @return 结果
     */
    public int deleteAppUsersByUserId(Long userId);

    AppUsers selectAppUsersByOpenId(String wxOpenid);


    public List<AppUsers> filterQualifiedUsers(filterQualifiedUsersVo filterVo);

    String getUserCode(Long appUserId);

    AppUsers bindCode(String code);
}
